# OSM2VectorTiles [![Build Status](https://travis-ci.org/osm2vectortiles/osm2vectortiles.svg?branch=master)](https://travis-ci.org/osm2vectortiles/osm2vectortiles) [![MIT and ODbL licensed](https://img.shields.io/badge/license-MIT/ODbL-blue.svg)](https://github.com/osm2vectortiles/osm2vectortiles#license)


OSM2VectorTiles makes is possible to create vector tiles from OpenStreetMap data. For a detailed documentation, please visit our [project website](http://osm2vectortiles.org/docs/).

Create a custom base map in minutes with our free vector tiles from [OpenStreetMap](http://openstreetmap.org) data. 
This is the easiest way how to switch to OSM thanks to [MapBox](https://github.com/mapbox) open-source tools. Design your own map of world or country, serve raster or vector tiles from any virtual server or your own infrastructure, even offline behind a firewall.

![Create vector tiles from OpenStreetMap data](http://osm2vectortiles.org/img/home-banner-icons.png)

## Downloads

Download the entire world, city or country extracts from http://osm2vectortiles.org/downloads.

## Documentation

- Getting started
  - [Display map with Mapnik and Tessera](http://osm2vectortiles.org/docs/start)
  - [Display map with Mapbox GL](http://osm2vectortiles.org/docs/display-map-with-mapbox-gl)
- Create your own custom basemap
  - [Create a style with Mapbox Studio Classic](http://osm2vectortiles.org/docs/create-map-with-mapbox-studio-classic)
  - [Create a style with new Mapbox Studio](http://osm2vectortiles.org/docs/create-map-with-mapbox-studio)
- Hosting
  - [Serve raster tiles with Docker](http://osm2vectortiles.org/docs/serve-raster-tiles-docker)
  - [Serve vector tiles](http://osm2vectortiles.org/docs/serve-vector-tiles)
  - [Use public CDN](http://osm2vectortiles.org/docs/use-public-cdn)
- Vector Tiles
  - [Create your own vector tiles](http://osm2vectortiles.org/docs/own-vector-tiles)
  - [Layer Reference](http://osm2vectortiles.org/docs/layer-reference)
  - [Create your own extract](http://osm2vectortiles.org/docs/extracts)
- Data Source
  - [Data Sources of OSM Vector Tiles](http://osm2vectortiles.org/docs/data-sources)
- Import and Export
  - [Import and Export Process](http://osm2vectortiles.org/docs/import-export-process)
  - [Database Schema and Layers](http://osm2vectortiles.org/docs/database-schema/)
  - [Imposm Mapping Schema](http://osm2vectortiles.org/docs/imposm-schema)

## License

The project is under the MIT license while the data downloads use the [Open Database License](http://wiki.openstreetmap.org/wiki/Open_Database_License) from OpenStreetMap.

## Contribute

The purpose of this project is to make OSM data more accessible to anybody. Any feedback or improvement is greatly appreciated. So feel free to submit a pull request or file a bug. You can also post feedback as GitHub issue.

You can help us to improve the documentation by editing the Markdown files and creating a pull request.
The documentation is based on GitHub pages and is in the `gh-pages` branch.

https://github.com/osm2vectortiles/osm2vectortiles/tree/gh-pages/docs
